<?php

session_start();
$usuario=$_SESSION['rut'];

date_default_timezone_set('America/Santiago');

$id_norma_detalle = $_REQUEST['id_norma_detalle'];
$folio_planilla = $_REQUEST['folio_planilla'];

if(isset($_REQUEST['observacion'])){
	$observacion=$_REQUEST['observacion'];
}else{
	$observacion="";
}
if(isset($_REQUEST['cuartel'])){
	$cuartel=$_REQUEST['cuartel'];
}else{
	$cuartel="";
}

    
    
    
    
    
    


include '../../conexion/conn.php';

$rs = mysql_query("SELECT * FROM norma_detalle WHERE id_norma_detalle='$id_norma_detalle'");
if($row = mysql_fetch_array($rs)){
	$norma_id=$row['norma_id'];
	$defecto_id=$row['defecto_id'];
	$norma_det_valor_tipo=$row['norma_det_valor_tipo'];
	$norma_det_valor1=$row['norma_det_valor1'];
	$norma_det_valor2=$row['norma_det_valor2'];
	$norma_det_valor3=$row['norma_det_valor3'];
	$norma_det_valor4=$row['norma_det_valor4'];
}

$rs = mysql_query("SELECT COUNT(*) as contador FROM planilla_huerto_detalle WHERE defecto_id='$defecto_id' AND folio_planilla='$folio_planilla'");
if($row = mysql_fetch_array($rs)){
	$contador=$row['contador']+1;
}

$valor2_ingresado="";


if($norma_det_valor_tipo=="NUMERICO TEXTO" || $norma_det_valor_tipo=="TEXTO" || $norma_det_valor_tipo=="OBSERVACION"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	$cumple_norma="VERDE";

}else if($norma_det_valor_tipo=="NUMERICO MENOR MAYOR"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado>=$norma_det_valor1 && $valor1_ingresado<$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado>=$norma_det_valor2 && $valor1_ingresado<=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado<$norma_det_valor1 || $valor1_ingresado>$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="NUMERICO MAYOR MENOR"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado<=$norma_det_valor1 && $valor1_ingresado>$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado<=$norma_det_valor2 && $valor1_ingresado>=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado>$norma_det_valor1 || $valor1_ingresado<$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="NUMERICO DOBLE RANGO"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado>=$norma_det_valor2 && $valor1_ingresado<=$norma_det_valor3){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado>=$norma_det_valor1 && $valor1_ingresado<$norma_det_valor2){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado>$norma_det_valor3 && $valor1_ingresado<=$norma_det_valor4){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado<$norma_det_valor1 || $valor1_ingresado>$norma_det_valor4){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="CHECK SINO"){
	if(isset($_REQUEST['valor1_ingresado'])){
	    $valor1_ingresado="SI";
	    $cumple_norma="VERDE";
	}else{
		$valor1_ingresado="NO";
	    $cumple_norma="ROJO";
	}
	
}else if($norma_det_valor_tipo=="CHECK BUENO MALO"){
	if(isset($_REQUEST['valor1_ingresado'])){
	    $valor1_ingresado="BUENO";
	    $cumple_norma="VERDE";
	}else{
		$valor1_ingresado="MALO";
	    $cumple_norma="ROJO";
	}
	
}else if($norma_det_valor_tipo=="SELLADO BOLSA"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado']; //bolsas malas
	$valor2_ingresado = $_REQUEST['valor2_ingresado'];	//total bolsas revisadas

	$porcentaje_bolsas_malas=($valor1_ingresado*100)/$valor2_ingresado;

	$porcentaje_bolsas_buenas=100-$porcentaje_bolsas_malas;

	$valor1_ingresado=$porcentaje_bolsas_buenas;
	$valor1_ingresado=round($porcentaje_bolsas_buenas, 1, PHP_ROUND_HALF_UP);

	if($porcentaje_bolsas_buenas<=$norma_det_valor1 && $porcentaje_bolsas_buenas>$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($porcentaje_bolsas_buenas<=$norma_det_valor2 && $porcentaje_bolsas_buenas>=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($porcentaje_bolsas_buenas>$norma_det_valor1 || $porcentaje_bolsas_buenas<$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="FOTO"){
	if($_POST && $_FILES['valor1_ingresado']['tmp_name']!=''){
	// Fin de la creacion de la cadena aletoria
		$nombre_foto=$folio_planilla."_".$contador;
		$valor1_ingresado=$folio_planilla."_".$contador;
	$tamano = $_FILES ['valor1_ingresado']['size']; // Leemos el tamaño del fichero
	//$tamaño_max="2024000"; // Tamaño maximo permitido
	//if( $tamano < $tamaño_max){ // Comprovamos el tamaño 
	$destino = '../image' ; // Carpeta donde se guardara
	$sep=explode('image',$_FILES['valor1_ingresado']['type']); // Separamos image/
	$tipo=$sep[1]; // Optenemos el tipo de imagen que es
	//if($tipo == "jpeg" || $tipo == "png" || $tipo == "jpg" || $tipo == "JPG"){ // Si el tipo de imagen a subir es el mismo de los permitidos, seguimos. Puedes agregar mas tipos de imagen
	move_uploaded_file ( $_FILES ['valor1_ingresado']['tmp_name'], $destino . '/' .$nombre_foto.'.jpg');  // Subimos el archivo
			//achicar foto

			$imagen='../image/'.$nombre_foto.'.jpg'; 
		    # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
		    $imagen_final='../image/'.$nombre_foto.'.jpg'; 
		    $ancho_nuevo=640; 
		    $alto_nuevo=480; 
		    redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 

			
			$fileName = $nombre_foto.".jpg";
	        $tmpName  = $_FILES['valor1_ingresado']['tmp_name'];
	        $fileSize = $_FILES['valor1_ingresado']['size'];
	        $fileType = $_FILES['valor1_ingresado']['type'];
	        
	        $fp = fopen('../image/'.$fileName.'', 'r');
	        $content = fread($fp, $fileSize);
	        $content = addslashes($content);
	        fclose($fp);
	        
	        if(!get_magic_quotes_gpc())
	        {
	            $fileName = addslashes($fileName);
	        }
	        $cumple_norma="FOTO";
	        $sql =  ("INSERT INTO fotos (nombre_foto, usu_crea) values ('$fileName', '$usuario')");
			$result = @mysql_query($sql);

	//}else{ 
	//	echo "El tipo de archivo no es permitido. Los tipos permitidos son: JPEG y PNG";// Si no es el tipo permitido lo decimos
	//}
	//}else{
	//	 echo "El archivo supera el peso permitido. El tamaño maximo permitido es de 1MB";// Si supera el tamaño de permitido lo decimos
	//}
	}else{
		echo "Debe seleccionar una imagen";
	}
}else{
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	$cumple_norma="VERDE";
}


	$sql =  ("INSERT INTO planilla_huerto_detalle (folio_planilla, hora_registro, valor1_ingresado, valor2_ingresado, id_norma_detalle, defecto_id, norma_id, cumple_norma, cuartel, observacion, usu_crea, fecha_crea, sincro) values('$folio_planilla', now(), UPPER('$valor1_ingresado'), UPPER('$valor2_ingresado'), '$id_norma_detalle', '$defecto_id', '$norma_id', '$cumple_norma', '$cuartel', '$observacion', '$usuario', '".date("Y-m-d H:i:s")."', 'N')");
	$result = @mysql_query($sql);
	mysql_close();
	if ($result){
		echo "Datos Grabados";
	} else {
		echo "Se Han Producido Errores";
	}

function redim($ruta1,$ruta2,$ancho,$alto) 
    { 
    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    }

?>